Subject: [PATCH net-next v2 0/3] dpaa2: add 1000base-X support

From: Russell King - ARM Linux admin <[email-masked]>
Date: Fri, 5 Feb 2021 10:39:00 +0000

Hi,

This patch series adds 1000base-X support to pcs-lynx and DPAA2,
allowing runtime switching between SGMII and 1000base-X. This is
a pre-requisit for SFP module support on the SolidRun ComExpress 7.

v2: updated with Ioana's r-b's, and comment on backplane support

 drivers/net/ethernet/freescale/dpaa2/dpaa2-eth.h |  4 ++-
 drivers/net/ethernet/freescale/dpaa2/dpaa2-mac.c | 25 ++++++++++++----
 drivers/net/pcs/pcs-lynx.c                       | 36 ++++++++++++++++++++++++
 3 files changed, 59 insertions(+), 6 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!